HtmlInputTextarea (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.html.HtmlInputTextarea class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlInputTextarea

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.html.HtmlInputTextarea
                          org.richfaces.component.html.HtmlInputTextarea

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlInputTextarea

extends javax.faces.component.html.HtmlInputTextarea

Author:
  asmirnov

Field Summary

Fields inherited from class javax.faces.component.html.HtmlInputTextarea
`COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlInputTextarea()`

Method Summary
`protected void` | `validateValue(javax.faces.context.FacesContext context, java.lang.Object newValue)`

Methods inherited from class javax.faces.component.html.HtmlInputTextarea
`getAccesskey, getCols, getDir, getLabel, getLang, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getRows, getStyle, getStyleClass, getTabindex, getTitle, isDisabled, isReadonly, restoreState, saveState, setAccesskey, setCols, setDir, setDisabled, setLabel, setLang, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setRows, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Constructor Detail

### HtmlInputTextarea

    public HtmlInputTextarea()

Method Detail

### validateValue

    protected void validateValue(javax.faces.context.FacesContext context,
                                 java.lang.Object newValue)

  Overrides:
    `validateValue` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.